localize
Device proxies

The localize proxy provides an interface to localization drivers. More...

## Classes

struct | playerc_localize_particle
| Hypothesis data. More...
struct | playerc_localize_t
| Localization device data. More...

## Typedefs

typedef struct playerc_localize_particle | playerc_localize_particle_t
| Hypothesis data. More...

## Functions

PLAYERC_EXPORT playerc_localize_t * | playerc_localize_create (playerc_client_t *client, int index)
| Create a localize proxy. More...
PLAYERC_EXPORT void | playerc_localize_destroy (playerc_localize_t *device)
| Destroy a localize proxy. More...
PLAYERC_EXPORT int | playerc_localize_subscribe (playerc_localize_t *device, int access)
| Subscribe to the localize device. More...
PLAYERC_EXPORT int | playerc_localize_unsubscribe (playerc_localize_t *device)
| Un-subscribe from the localize device. More...
PLAYERC_EXPORT int | playerc_localize_set_pose (playerc_localize_t *device, double pose[3], double cov[3])
| Set the the robot pose (mean and covariance). More...
PLAYERC_EXPORT int | playerc_localize_get_particles (playerc_localize_t *device)
| Request the particle set. More...

## Detailed Description

The localize proxy provides an interface to localization drivers.

Generally speaking, these are abstract drivers that attempt to localize the robot by matching sensor observations (odometry, laser and/or sonar) against a prior map of the environment (such as an occupancy grid). Since the pose may be ambiguous, multiple hypotheses may returned; each hypothesis specifies one possible pose estimate for the robot. See the Player manual for details of the localize interface, and and drivers that support it (such as the amcl driver).

## Typedef Documentation

typedef struct playerc_localize_particle playerc_localize_particle_t

Hypothesis data.

## Function Documentation

PLAYERC_EXPORT playerc_localize_t* playerc_localize_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a localize proxy.

PLAYERC_EXPORT void playerc_localize_destroy | ( | playerc_localize_t * | device | ) |

Destroy a localize proxy.

PLAYERC_EXPORT int playerc_localize_get_particles | ( | playerc_localize_t * | device | ) |

Request the particle set.

Caller must supply sufficient storage for the result.

Referenced by PlayerCc::LocalizeProxy::GetParticles().

PLAYERC_EXPORT int playerc_localize_set_pose | ( | playerc_localize_t * | device,
|  | double | pose[3],
|  | double | cov[3]
| ) |  |

Set the the robot pose (mean and covariance).

PLAYERC_EXPORT int playerc_localize_subscribe | ( | playerc_localize_t * | device,
|  | int | access
| ) |  |

Subscribe to the localize device.

PLAYERC_EXPORT int playerc_localize_unsubscribe | ( | playerc_localize_t * | device | ) |

Un-subscribe from the localize device.

Last updated 12 September 2005 21:38:45